Webhooks
Authorization
bearerAuth In: header
Path Parameters
Repository owner.
1 <= lengthRepository name.
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/v1/repositories/aa/aa/webhooks""abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner.
1 <= lengthRepository name.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/repositories/aa/aa/webhooks" \ -H "Content-Type: application/json" \ -d '{ "active": false, "authorizationHeader": "abc123", "branchFilter": "abc123", "contentType": "abc123", "events": [ "abc123" ], "secret": "abc123", "type": "abc123", "url": "aa" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner.
1 <= lengthRepository name.
1 <= lengthWebhook id.
int641 <= valueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/v1/repositories/aa/aa/webhooks/2" \ -H "Content-Type: application/json" \ -d '{ "active": false, "authorizationHeader": "abc123", "branchFilter": "abc123", "contentType": "abc123", "events": [ "abc123" ], "secret": "abc123", "type": "abc123", "url": "aa" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner.
1 <= lengthRepository name.
1 <= lengthWebhook id.
int641 <= valueResponse Body
application/json
curl -X DELETE "https://example.com/v1/repositories/aa/aa/webhooks/2""abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner.
1 <= lengthRepository name.
1 <= lengthWebhook id.
int641 <= valueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/v1/repositories/aa/aa/webhooks/2/presence-safe" \ -H "Content-Type: application/json" \ -d '{ "active": false, "authorizationHeader": "abc123", "branchFilter": "abc123", "contentType": "abc123", "events": [ "abc123" ], "secret": "abc123", "type": "abc123", "url": "aa" }'"abc123"